> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Group Topic > Sets the topic for the private channel. The topic is displayed next to the room name in the header. Permission required: `edit-room` ### Changelog | Version | Description | | ------- | ----------- | | 0.48.0 | Added | ## OpenAPI ````json POST /api/v1/groups.setTopic { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.setTopic": { "post": { "tags": [ "Groups" ], "summary": "Set Group Topic", "description": "Sets the topic for the private channel. The topic is displayed next to the room name in the header. Permission required: `edit-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.48.0 | Added |", "operationId": "post-api-v1-groups.setTopic", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The group ID. You can find the IDs by using any of the following endpoints:\n* Get List of User Groups: This endpoint returns all private channels in the workspace, if you have the required permissions to view them.\n* Get Groups: This endpoint returns the private channels that you are a member of.", "example": "ByehQjC44FwMeiLbX" }, "topic": { "type": "string", "description": "Enter the group's topic.", "example": "QA discussions" } }, "required": [ "roomId", "topic" ] }, "examples": { "Example": { "value": { "roomId": "ByehQjC44FwMeiLbX", "topic": "Discuss all of the testing" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "topic": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "topic": "Testing out everything.", "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The bodyParam \"topic\" is required" } }, "Example 2": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````